local AceAddon = LibStub("AceAddon-3.0")
local ControlPanel = AceAddon:GetAddon("ControlPanel")
local ControlPanel_Options = AceAddon:GetAddon("ControlPanel_Options")
local setcvar = ControlPanel.SetCVar

function ControlPanel_Options:set_graphics_quality(val)
	if val == 1 then
		setcvar(ControlPanel,"graphicsTextureResolution",1)
		setcvar(ControlPanel,"graphicsTextureFiltering",1)
		setcvar(ControlPanel,"graphicsProjectedTextures",1)
		setcvar(ControlPanel,"graphicsViewDistance",1)
		setcvar(ControlPanel,"graphicsEnvironmentDetail",1)
		setcvar(ControlPanel,"graphicsGroundClutter",1)
		setcvar(ControlPanel,"graphicsShadowQuality",1)
		setcvar(ControlPanel,"graphicsLiquidDetail",1)
		setcvar(ControlPanel,"graphicsSunshafts",1)
		setcvar(ControlPanel,"graphicsParticleDensity",1)
		setcvar(ControlPanel,"graphicsSSAO",1)
		setcvar(ControlPanel,"graphicsDepthEffects",1)
		setcvar(ControlPanel,"graphicsLightingQuality",1)
		setcvar(ControlPanel,"graphicsOutlineMode",1)
	elseif val == 2 then
		setcvar(ControlPanel,"graphicsTextureResolution",2)
		setcvar(ControlPanel,"graphicsTextureFiltering",2)
		setcvar(ControlPanel,"graphicsProjectedTextures",1)
		setcvar(ControlPanel,"graphicsViewDistance",2)
		setcvar(ControlPanel,"graphicsEnvironmentDetail",2)
		setcvar(ControlPanel,"graphicsGroundClutter",2)
		setcvar(ControlPanel,"graphicsShadowQuality",1)
		setcvar(ControlPanel,"graphicsLiquidDetail",1)
		setcvar(ControlPanel,"graphicsSunshafts",1)
		setcvar(ControlPanel,"graphicsParticleDensity",1)
		setcvar(ControlPanel,"graphicsSSAO",1)
		setcvar(ControlPanel,"graphicsDepthEffects",1)
		setcvar(ControlPanel,"graphicsLightingQuality",1)
		setcvar(ControlPanel,"graphicsOutlineMode",1)
	elseif val == 3 then
		setcvar(ControlPanel,"graphicsTextureResolution",3)
		setcvar(ControlPanel,"graphicsTextureFiltering",3)
		setcvar(ControlPanel,"graphicsProjectedTextures",1)
		setcvar(ControlPanel,"graphicsViewDistance",3)
		setcvar(ControlPanel,"graphicsEnvironmentDetail",3)
		setcvar(ControlPanel,"graphicsGroundClutter",3)
		setcvar(ControlPanel,"graphicsShadowQuality",1)
		setcvar(ControlPanel,"graphicsLiquidDetail",2)
		setcvar(ControlPanel,"graphicsSunshafts",1)
		setcvar(ControlPanel,"graphicsParticleDensity",1)
		setcvar(ControlPanel,"graphicsSSAO",1)
		setcvar(ControlPanel,"graphicsDepthEffects",1)
		setcvar(ControlPanel,"graphicsLightingQuality",1)
		setcvar(ControlPanel,"graphicsOutlineMode",1)
	elseif val == 4 then
		setcvar(ControlPanel,"graphicsTextureResolution",3)
		setcvar(ControlPanel,"graphicsTextureFiltering",4)
		setcvar(ControlPanel,"graphicsProjectedTextures",1)
		setcvar(ControlPanel,"graphicsViewDistance",4)
		setcvar(ControlPanel,"graphicsEnvironmentDetail",4)
		setcvar(ControlPanel,"graphicsGroundClutter",4)
		setcvar(ControlPanel,"graphicsShadowQuality",2)
		setcvar(ControlPanel,"graphicsLiquidDetail",2)
		setcvar(ControlPanel,"graphicsSunshafts",1)
		setcvar(ControlPanel,"graphicsParticleDensity",2)
		setcvar(ControlPanel,"graphicsSSAO",1)
		setcvar(ControlPanel,"graphicsDepthEffects",2)
		setcvar(ControlPanel,"graphicsLightingQuality",2)
		setcvar(ControlPanel,"graphicsOutlineMode",2)
	elseif val == 5 then
		setcvar(ControlPanel,"graphicsTextureResolution",3)
		setcvar(ControlPanel,"graphicsTextureFiltering",5)
		setcvar(ControlPanel,"graphicsProjectedTextures",2)
		setcvar(ControlPanel,"graphicsViewDistance",5)
		setcvar(ControlPanel,"graphicsEnvironmentDetail",5)
		setcvar(ControlPanel,"graphicsGroundClutter",5)
		setcvar(ControlPanel,"graphicsShadowQuality",3)
		setcvar(ControlPanel,"graphicsLiquidDetail",2)
		setcvar(ControlPanel,"graphicsSunshafts",2)
		setcvar(ControlPanel,"graphicsParticleDensity",2)
		setcvar(ControlPanel,"graphicsSSAO",2)
		setcvar(ControlPanel,"graphicsDepthEffects",3)
		setcvar(ControlPanel,"graphicsLightingQuality",3)
		setcvar(ControlPanel,"graphicsOutlineMode",2)
	elseif val == 6 then
		setcvar(ControlPanel,"graphicsTextureResolution",3)
		setcvar(ControlPanel,"graphicsTextureFiltering",6)
		setcvar(ControlPanel,"graphicsProjectedTextures",2)
		setcvar(ControlPanel,"graphicsViewDistance",6)
		setcvar(ControlPanel,"graphicsEnvironmentDetail",6)
		setcvar(ControlPanel,"graphicsGroundClutter",6)
		setcvar(ControlPanel,"graphicsShadowQuality",4)
		setcvar(ControlPanel,"graphicsLiquidDetail",3)
		setcvar(ControlPanel,"graphicsSunshafts",3)
		setcvar(ControlPanel,"graphicsParticleDensity",2)
		setcvar(ControlPanel,"graphicsSSAO",3)
		setcvar(ControlPanel,"graphicsDepthEffects",4)
		setcvar(ControlPanel,"graphicsLightingQuality",3)
		setcvar(ControlPanel,"graphicsOutlineMode",3)
	elseif val == 7 then
		setcvar(ControlPanel,"graphicsTextureResolution",3)
		setcvar(ControlPanel,"graphicsTextureFiltering",6)
		setcvar(ControlPanel,"graphicsProjectedTextures",2)
		setcvar(ControlPanel,"graphicsViewDistance",7)
		setcvar(ControlPanel,"graphicsEnvironmentDetail",7)
		setcvar(ControlPanel,"graphicsGroundClutter",7)
		setcvar(ControlPanel,"graphicsShadowQuality",4)
		setcvar(ControlPanel,"graphicsLiquidDetail",3)
		setcvar(ControlPanel,"graphicsSunshafts",3)
		setcvar(ControlPanel,"graphicsParticleDensity",2)
		setcvar(ControlPanel,"graphicsSSAO",4)
		setcvar(ControlPanel,"graphicsDepthEffects",4)
		setcvar(ControlPanel,"graphicsLightingQuality",3)
		setcvar(ControlPanel,"graphicsOutlineMode",3)
	elseif val == 8 then
		setcvar(ControlPanel,"graphicsTextureResolution",3)
		setcvar(ControlPanel,"graphicsTextureFiltering",6)
		setcvar(ControlPanel,"graphicsProjectedTextures",2)
		setcvar(ControlPanel,"graphicsViewDistance",8)
		setcvar(ControlPanel,"graphicsEnvironmentDetail",8)
		setcvar(ControlPanel,"graphicsGroundClutter",8)
		setcvar(ControlPanel,"graphicsShadowQuality",5)
		setcvar(ControlPanel,"graphicsLiquidDetail",4)
		setcvar(ControlPanel,"graphicsSunshafts",3)
		setcvar(ControlPanel,"graphicsParticleDensity",4)
		setcvar(ControlPanel,"graphicsSSAO",4)
		setcvar(ControlPanel,"graphicsDepthEffects",4)
		setcvar(ControlPanel,"graphicsLightingQuality",3)
		setcvar(ControlPanel,"graphicsOutlineMode",3)
	elseif val == 9 then
		setcvar(ControlPanel,"graphicsTextureResolution",3)
		setcvar(ControlPanel,"graphicsTextureFiltering",6)
		setcvar(ControlPanel,"graphicsProjectedTextures",2)
		setcvar(ControlPanel,"graphicsViewDistance",9)
		setcvar(ControlPanel,"graphicsEnvironmentDetail",9)
		setcvar(ControlPanel,"graphicsGroundClutter",9)
		setcvar(ControlPanel,"graphicsShadowQuality",6)
		setcvar(ControlPanel,"graphicsLiquidDetail",4)
		setcvar(ControlPanel,"graphicsSunshafts",3)
		setcvar(ControlPanel,"graphicsParticleDensity",4)
		setcvar(ControlPanel,"graphicsSSAO",4)
		setcvar(ControlPanel,"graphicsDepthEffects",4)
		setcvar(ControlPanel,"graphicsLightingQuality",3)
		setcvar(ControlPanel,"graphicsOutlineMode",3)
	elseif val == 10 then
		setcvar(ControlPanel,"graphicsTextureResolution",3)
		setcvar(ControlPanel,"graphicsTextureFiltering",6)
		setcvar(ControlPanel,"graphicsProjectedTextures",2)
		setcvar(ControlPanel,"graphicsViewDistance",10)
		setcvar(ControlPanel,"graphicsEnvironmentDetail",10)
		setcvar(ControlPanel,"graphicsGroundClutter",10)
		setcvar(ControlPanel,"graphicsShadowQuality",6)
		setcvar(ControlPanel,"graphicsLiquidDetail",4)
		setcvar(ControlPanel,"graphicsSunshafts",3)
		setcvar(ControlPanel,"graphicsParticleDensity",4)
		setcvar(ControlPanel,"graphicsSSAO",4)
		setcvar(ControlPanel,"graphicsDepthEffects",4)
		setcvar(ControlPanel,"graphicsLightingQuality",3)
		setcvar(ControlPanel,"graphicsOutlineMode",3)
	end
end

function ControlPanel_Options:set_raid_graphics_quality(val)
	if val == 1 then
		setcvar(ControlPanel,"raidGraphicsTextureResolution",1)
		setcvar(ControlPanel,"raidGraphicsTextureFiltering",1)
		setcvar(ControlPanel,"raidGraphicsProjectedTextures",1)
		setcvar(ControlPanel,"raidGraphicsViewDistance",1)
		setcvar(ControlPanel,"raidGraphicsEnvironmentDetail",1)
		setcvar(ControlPanel,"raidGraphicsGroundClutter",1)
		setcvar(ControlPanel,"raidGraphicsShadowQuality",1)
		setcvar(ControlPanel,"raidGraphicsLiquidDetail",1)
		setcvar(ControlPanel,"raidGraphicsSunshafts",1)
		setcvar(ControlPanel,"raidGraphicsParticleDensity",1)
		setcvar(ControlPanel,"raidGraphicsSSAO",1)
		setcvar(ControlPanel,"raidGraphicsDepthEffects",1)
		setcvar(ControlPanel,"raidGraphicsLightingQuality",1)
		setcvar(ControlPanel,"raidGraphicsOutlineMode",1)
	elseif val == 2 then
		setcvar(ControlPanel,"raidGraphicsTextureResolution",2)
		setcvar(ControlPanel,"raidGraphicsTextureFiltering",2)
		setcvar(ControlPanel,"raidGraphicsProjectedTextures",1)
		setcvar(ControlPanel,"raidGraphicsViewDistance",2)
		setcvar(ControlPanel,"raidGraphicsEnvironmentDetail",2)
		setcvar(ControlPanel,"raidGraphicsGroundClutter",2)
		setcvar(ControlPanel,"raidGraphicsShadowQuality",1)
		setcvar(ControlPanel,"raidGraphicsLiquidDetail",1)
		setcvar(ControlPanel,"raidGraphicsSunshafts",1)
		setcvar(ControlPanel,"raidGraphicsParticleDensity",1)
		setcvar(ControlPanel,"raidGraphicsSSAO",1)
		setcvar(ControlPanel,"raidGraphicsDepthEffects",1)
		setcvar(ControlPanel,"raidGraphicsLightingQuality",1)
		setcvar(ControlPanel,"raidGraphicsOutlineMode",1)
	elseif val == 3 then
		setcvar(ControlPanel,"raidGraphicsTextureResolution",3)
		setcvar(ControlPanel,"raidGraphicsTextureFiltering",3)
		setcvar(ControlPanel,"raidGraphicsProjectedTextures",1)
		setcvar(ControlPanel,"raidGraphicsViewDistance",3)
		setcvar(ControlPanel,"raidGraphicsEnvironmentDetail",3)
		setcvar(ControlPanel,"raidGraphicsGroundClutter",3)
		setcvar(ControlPanel,"raidGraphicsShadowQuality",1)
		setcvar(ControlPanel,"raidGraphicsLiquidDetail",2)
		setcvar(ControlPanel,"raidGraphicsSunshafts",1)
		setcvar(ControlPanel,"raidGraphicsParticleDensity",1)
		setcvar(ControlPanel,"raidGraphicsSSAO",1)
		setcvar(ControlPanel,"raidGraphicsDepthEffects",1)
		setcvar(ControlPanel,"raidGraphicsLightingQuality",1)
		setcvar(ControlPanel,"raidGraphicsOutlineMode",1)
	elseif val == 4 then
		setcvar(ControlPanel,"raidGraphicsTextureResolution",3)
		setcvar(ControlPanel,"raidGraphicsTextureFiltering",4)
		setcvar(ControlPanel,"raidGraphicsProjectedTextures",1)
		setcvar(ControlPanel,"raidGraphicsViewDistance",4)
		setcvar(ControlPanel,"raidGraphicsEnvironmentDetail",4)
		setcvar(ControlPanel,"raidGraphicsGroundClutter",4)
		setcvar(ControlPanel,"raidGraphicsShadowQuality",2)
		setcvar(ControlPanel,"raidGraphicsLiquidDetail",2)
		setcvar(ControlPanel,"raidGraphicsSunshafts",1)
		setcvar(ControlPanel,"raidGraphicsParticleDensity",2)
		setcvar(ControlPanel,"raidGraphicsSSAO",1)
		setcvar(ControlPanel,"raidGraphicsDepthEffects",2)
		setcvar(ControlPanel,"raidGraphicsLightingQuality",2)
		setcvar(ControlPanel,"raidGraphicsOutlineMode",2)
	elseif val == 5 then
		setcvar(ControlPanel,"raidGraphicsTextureResolution",3)
		setcvar(ControlPanel,"raidGraphicsTextureFiltering",5)
		setcvar(ControlPanel,"raidGraphicsProjectedTextures",2)
		setcvar(ControlPanel,"raidGraphicsViewDistance",5)
		setcvar(ControlPanel,"raidGraphicsEnvironmentDetail",5)
		setcvar(ControlPanel,"raidGraphicsGroundClutter",5)
		setcvar(ControlPanel,"raidGraphicsShadowQuality",3)
		setcvar(ControlPanel,"raidGraphicsLiquidDetail",2)
		setcvar(ControlPanel,"raidGraphicsSunshafts",2)
		setcvar(ControlPanel,"raidGraphicsParticleDensity",2)
		setcvar(ControlPanel,"raidGraphicsSSAO",2)
		setcvar(ControlPanel,"raidGraphicsDepthEffects",3)
		setcvar(ControlPanel,"raidGraphicsLightingQuality",3)
		setcvar(ControlPanel,"raidGraphicsOutlineMode",2)
	elseif val == 6 then
		setcvar(ControlPanel,"raidGraphicsTextureResolution",3)
		setcvar(ControlPanel,"raidGraphicsTextureFiltering",6)
		setcvar(ControlPanel,"raidGraphicsProjectedTextures",2)
		setcvar(ControlPanel,"raidGraphicsViewDistance",6)
		setcvar(ControlPanel,"raidGraphicsEnvironmentDetail",6)
		setcvar(ControlPanel,"raidGraphicsGroundClutter",6)
		setcvar(ControlPanel,"raidGraphicsShadowQuality",4)
		setcvar(ControlPanel,"raidGraphicsLiquidDetail",3)
		setcvar(ControlPanel,"raidGraphicsSunshafts",3)
		setcvar(ControlPanel,"raidGraphicsParticleDensity",2)
		setcvar(ControlPanel,"raidGraphicsSSAO",3)
		setcvar(ControlPanel,"raidGraphicsDepthEffects",4)
		setcvar(ControlPanel,"raidGraphicsLightingQuality",3)
		setcvar(ControlPanel,"raidGraphicsOutlineMode",3)
	elseif val == 7 then
		setcvar(ControlPanel,"raidGraphicsTextureResolution",3)
		setcvar(ControlPanel,"raidGraphicsTextureFiltering",6)
		setcvar(ControlPanel,"raidGraphicsProjectedTextures",2)
		setcvar(ControlPanel,"raidGraphicsViewDistance",7)
		setcvar(ControlPanel,"raidGraphicsEnvironmentDetail",7)
		setcvar(ControlPanel,"raidGraphicsGroundClutter",7)
		setcvar(ControlPanel,"raidGraphicsShadowQuality",4)
		setcvar(ControlPanel,"raidGraphicsLiquidDetail",3)
		setcvar(ControlPanel,"raidGraphicsSunshafts",3)
		setcvar(ControlPanel,"raidGraphicsParticleDensity",2)
		setcvar(ControlPanel,"raidGraphicsSSAO",4)
		setcvar(ControlPanel,"raidGraphicsDepthEffects",4)
		setcvar(ControlPanel,"raidGraphicsLightingQuality",3)
		setcvar(ControlPanel,"raidGraphicsOutlineMode",3)
	elseif val == 8 then
		setcvar(ControlPanel,"raidGraphicsTextureResolution",3)
		setcvar(ControlPanel,"raidGraphicsTextureFiltering",6)
		setcvar(ControlPanel,"raidGraphicsProjectedTextures",2)
		setcvar(ControlPanel,"raidGraphicsViewDistance",8)
		setcvar(ControlPanel,"raidGraphicsEnvironmentDetail",8)
		setcvar(ControlPanel,"raidGraphicsGroundClutter",8)
		setcvar(ControlPanel,"raidGraphicsShadowQuality",5)
		setcvar(ControlPanel,"raidGraphicsLiquidDetail",4)
		setcvar(ControlPanel,"raidGraphicsSunshafts",3)
		setcvar(ControlPanel,"raidGraphicsParticleDensity",4)
		setcvar(ControlPanel,"raidGraphicsSSAO",4)
		setcvar(ControlPanel,"raidGraphicsDepthEffects",4)
		setcvar(ControlPanel,"raidGraphicsLightingQuality",3)
		setcvar(ControlPanel,"raidGraphicsOutlineMode",3)
	elseif val == 9 then
		setcvar(ControlPanel,"raidGraphicsTextureResolution",3)
		setcvar(ControlPanel,"raidGraphicsTextureFiltering",6)
		setcvar(ControlPanel,"raidGraphicsProjectedTextures",2)
		setcvar(ControlPanel,"raidGraphicsViewDistance",9)
		setcvar(ControlPanel,"raidGraphicsEnvironmentDetail",9)
		setcvar(ControlPanel,"raidGraphicsGroundClutter",9)
		setcvar(ControlPanel,"raidGraphicsShadowQuality",6)
		setcvar(ControlPanel,"raidGraphicsLiquidDetail",4)
		setcvar(ControlPanel,"raidGraphicsSunshafts",3)
		setcvar(ControlPanel,"raidGraphicsParticleDensity",4)
		setcvar(ControlPanel,"raidGraphicsSSAO",4)
		setcvar(ControlPanel,"raidGraphicsDepthEffects",4)
		setcvar(ControlPanel,"raidGraphicsLightingQuality",3)
		setcvar(ControlPanel,"raidGraphicsOutlineMode",3)
	elseif val == 10 then
		setcvar(ControlPanel,"raidGraphicsTextureResolution",3)
		setcvar(ControlPanel,"raidGraphicsTextureFiltering",6)
		setcvar(ControlPanel,"raidGraphicsProjectedTextures",2)
		setcvar(ControlPanel,"raidGraphicsViewDistance",10)
		setcvar(ControlPanel,"raidGraphicsEnvironmentDetail",10)
		setcvar(ControlPanel,"raidGraphicsGroundClutter",10)
		setcvar(ControlPanel,"raidGraphicsShadowQuality",6)
		setcvar(ControlPanel,"raidGraphicsLiquidDetail",4)
		setcvar(ControlPanel,"raidGraphicsSunshafts",3)
		setcvar(ControlPanel,"raidGraphicsParticleDensity",4)
		setcvar(ControlPanel,"raidGraphicsSSAO",4)
		setcvar(ControlPanel,"raidGraphicsDepthEffects",4)
		setcvar(ControlPanel,"raidGraphicsLightingQuality",3)
		setcvar(ControlPanel,"raidGraphicsOutlineMode",3)
	end
end

